%define upstream_name    Perl-Critic-Dynamic
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Base class for dynamic Policies
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Symdump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(CGI)
BuildArch: noarch

%description
the Perl::Critic manpage is primarily used as a static source code
analyzer, which means that it never compiles or executes any of the code
that it examines. But since Perl is a dynamic language, there are certain
types of problems that cannot be discovered until the code is actually
compiled.

This distribution includes the Perl::Critic::DynamicPolicy manpage, which
can be used as a base class for Policies that wish to compile the code they
analyze. The distribution also contains the
Perl::Critic::Policy::Dynamic::ValidateAgainstSymbolTable manpage which
demonstrates the use of the Perl::Critic::DynamicPolicy manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 514086
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371669
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 guillomovitch <guillomovitch> 0.50.0-1.mga2
+ Revision: 220616
- imported package perl-Perl-Critic-Dynamic


* Mon Mar 05 2012 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
